#<!--
# @markup ruby
# @title Almacena tus dietas agrupadas por alimentos
# @author Abián Torres Torres (alu0100887686@ull.edu.es)
#-->

#nombre : Abián Torres Torres
#Email  : alu0100887686@ull.edu.es

#Implementación de una clase hija de Diet para
#agrupar los menú por alimentos:

require "prct06/version"

class MenuFood < Diet

	# @overload Método de acceso y escritura para el atributo que almacenará el grupo de alimentos

        attr_accessor :food

        # @note Método para inicializar una dieta agrupada por alimentos
  		# @param [String] Grupo de alimentos, [String] Título, [String] Ingesta diaria, [String] Valor calorífico,
  		# @param [String] Porcentaje de proteínas, [String] Porcentaje de proteínas, [String] Porcentaje de grasas
  		# @param [String] Porcentaje de hidratos de carbono 

	def initialize(food, ttl, dip, vct, pprtn, pfts, pchdt)
	
		@food = food

		super(ttl, dip, vct, pprtn, pfts, pchdt)

	end 

	# @note Función que permite mostrar una salida formateada de la lista
  	# @return [String] String con el contenido de la lista

	def to_s()
	
		tmp = super.to_s + "Alimentos: #{@food}\n"
                tmp
	
	end

end
