#<!--
# @markup ruby
# @title Almacena tus dietas agrupadas por edades
# @author Abián Torres Torres (alu0100887686@ull.edu.es)
#-->

#Implementación de una clase hija de Diet para
#agrupar los menú por edades:

require "prct06/version"

class MenuAge < Diet

      # @overload Método de acceso y escritura para el atributo que almacenará el rango de edad

        attr_accessor :age

      # @note Método para inicializar una dieta agrupada por edades
  		# @param [String] Rango de edad, [String] Título, [String] Ingesta diaria, [String] Valor calorífico,
  		# @param [String] Porcentaje de proteínas, [String] Porcentaje de proteínas, [String] Porcentaje de grasas
  		# @param [String] Porcentaje de hidratos de carbono 

        def initialize(age, ttl, dip, vct, pprtn, pfts, pchdt)

			@age = age

			super(ttl, dip, vct, pprtn, pfts, pchdt)

        end

        # @note Función que permite mostrar una salida formateada de la lista
  		# @return [String] String con el contenido de la lista

      def to_s()
			
			   tmp = super.to_s + "Edad: #{@age}\n"
		
			   tmp
		
      end

end
